Subject: [PATCH] hashmap.h: fix minor typo

From: "Siddharth Singh via GitGitGadget" <[email-masked]>
Date: Thu, 30 Mar 2023 15:28:03 +0000

From: Siddharth Singh <[email-masked]>

The word "no" should be "not".

Signed-off-by: Siddharth Singh <[email-masked]>
---
    hashmap.h: fix minor typo
    
    Hi folks ! I'm Siddharth from Google, I'm working on libification of
    Git, while going through the hashmap.h I found a minor typo in the
    documentation comment.

Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-1506%2Fs-i-d-d-i-s%2Ffix-typo-in-hashmap.h-v1
Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-1506/s-i-d-d-i-s/fix-typo-in-hashmap.h-v1
Pull-Request: https://github.com/gitgitgadget/git/pull/1506

Hi folks ! I'm Siddharth from Google, I'm working on
libification of Git, while going through the hashmap.h
I found a minor typo in the documentation comment.
---
 hashmap.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/hashmap.h b/hashmap.h
index 7251687d730..e2cf9c78d84 100644
--- a/hashmap.h
+++ b/hashmap.h
@@ -270,7 +270,7 @@ void hashmap_clear_(struct hashmap *map, ssize_t offset);
 #define hashmap_clear(map) hashmap_clear_(map, -1)
 
 /*
- * Similar to hashmap_clear(), except that the table is no deallocated; it
+ * Similar to hashmap_clear(), except that the table is not deallocated; it
  * is merely zeroed out but left the same size as before.  If the hashmap
  * will be reused, this avoids the overhead of deallocating and
  * reallocating map->table.  As with hashmap_clear(), you may need to free

base-commit: 8d90352acc5c855620042fdcc6092f23a276af6d
-- 
gitgitgadget